yes, the javascript support ended in version 2017